summary refs log tree commit diff
path: root/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh82
1 files changed, 82 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..245ad08
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,82 @@
+#!/usr/bin/env sh
+
+set -e
+
+echo "Hi noa.  Let's get things set up~"
+echo "This script assumes a debian install."
+read -p "Press RET when you are ready to start."
+
+echo
+echo "=== SYSTEM UPDATE ==="
+sudo apt update
+sudo apt upgrade
+
+echo
+echo "=== INSTALL FONTS ==="
+sudo apt install fonts-noto-core
+
+echo
+echo "=== FETCH CONFIGURATIONS ==="
+sudo apt install git
+git clone http://cgit.tilde.town/~noa/dots/ $HOME/.config
+
+echo
+echo "=== SET UP DISPLAY MANAGER ==="
+sudo apt install xdm
+sudo cp $HOME/.config/xdm/* /etc/X11/xdm/
+
+echo
+echo "=== SET UP GUI ==="
+sudo install jwm brightnessctl picom cbatticon pnmixer nm-tray qlipper fcitx5 fcitx5-chinese-addons x11-xserver-utils
+
+echo
+echo "=== INSTALL DESKTOP PROGRAMS ==="
+sudo apt install rclone keepassxc firefox webext-ublock-origin-firefox webext-keepassxc-browser mpv
+
+echo
+echo "=== SET UP FLATPAK ==="
+# TODO---do i need this?
+read -p "Press RET to move to the next step."
+
+echo
+echo "=== FETCH FILES ==="
+while [ ! -f ~/.config/Passwords.kdbx ]; do
+	read -p "It looks like ~/.config/Passwords.kdbx doesn't exist.  Make sure it exists and press RET when you're ready."
+done
+
+read -rp "Fastmail username: " fastmailusername
+echo "Now go to https://app.fastmail.com/settings/security/integrations/devicekeys/new?u=0b814011 and create a new app password with access to webdav."
+read -rsp "Fastmail app password: " fastmailpassword
+echo # Read with -s appears not to properly newline
+
+rclone config create fastmail webdav \
+	url "https://webdav.fastmail.com/" \
+	vendor "fastmail" \
+	user "$fastmailusername" \
+	pass "$fastmailpassword" \
+	--obscure
+
+echo
+rclone copy fastmail:noa.gaiwan.org/files/Documents ~/Documents -P
+rclone copy fastmail:noa.gaiwan.org/files/Music ~/Music -P
+rclone copy fastmail:noa.gaiwan.org/files/Videos ~/Videos -P
+rclone copy fastmail:noa.gaiwan.org/files/Pictures ~/Pictures -P
+rclone copy fastmail:noa.gaiwan.org/files/Scripts ~/Scripts -P
+
+#echo
+#echo "=== INSTALL ANKI ==="
+#echo "The packaged version of anki is very old, and i'd rather not use the flatpak."
+#echo "First please run:"
+#echo "> sudo apt install libxcb-xinerama0 libxcb-cursor0 libnss3"
+#echo "Then go to https://github.com/ankitects/anki/releases/ and download the latest release."
+#echo "> tar xaf Downloads/anki-2XXX-linux-qt6.tar.zst"
+#echo "> cd anki-2XXX-linux-qt6"
+#echo "> sudo ./install.sh"
+
+echo
+echo "=== DOWNLOAD WIKIPEDIA MIRROR ==="
+echo "Go to https://ftp.halifax.rwth-aachen.de/aarddict/zhwiki/ and download the latest slob file to ~/Documents/Dictionaries."
+
+echo
+echo "Thanks~"
+